Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 744493 - dev-ruby/bundler-2.1.4 should BDEPEND on dev-ruby/rdoc - src_compile(): .../temp/environment: line 666: rdoc: command not found
Summary: dev-ruby/bundler-2.1.4 should BDEPEND on dev-ruby/rdoc - src_compile(): .../t...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Ruby Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-24 09:31 UTC by Michel Le Bihan
Modified: 2021-02-15 08:22 UTC (History)
12 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
output of emerge --info (Emerge-info,6.98 KB, text/plain)
2021-02-15 08:14 UTC, Luca Chiampo
Details
output of emerge -pqv (Emerge-pqv,210 bytes, text/plain)
2021-02-15 08:14 UTC, Luca Chiampo
Details
buuild.log (build.log,2.19 KB, text/x-log)
2021-02-15 08:16 UTC, Luca Chiampo
Details
Output of emerge --info for dev-ruby/rdoc-6.1.2 (installed) (Emerge-InfoRdoc,6.97 KB, text/plain)
2021-02-15 08:21 UTC, Luca Chiampo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Le Bihan 2020-09-24 09:31:09 UTC
Hello,

Installing `dev-ruby/bundler` with the `doc` USE flag fails at:
/tmp/portage/portage/dev-ruby/bundler-2.1.4/temp/environment: line 666: rdoc: command not found

Full log:
[ebuild  N     ] dev-ruby/bundler-2.1.4  USE="doc -test" RUBY_TARGETS="ruby26 -ruby25 (-ruby27)"

[...]

>>> Emerging (1 of 20) dev-ruby/bundler-2.1.4::gentoo
 * Fetching files in the background.
 * To view fetch progress, run in another terminal:
 * tail -f /var/log/emerge-fetch.log
 * bundler-2.1.4.gem BLAKE2B SHA512 size ;-) ...                                                                                     [ ok ]
>>> Unpacking source...
 * Running unpack phase for all ...
 * Unpacking .gem file... ...                                                                                                        [ ok ]
 * Uncompressing metadata ...                                                                                                        [ ok ]
 * Unpacking data.tar.gz ...                                                                                                         [ ok ]
>>> Source unpacked in /tmp/portage/portage/dev-ruby/bundler-2.1.4/work
>>> Preparing source in /tmp/portage/portage/dev-ruby/bundler-2.1.4/work ...
 * Running prepare phase for all ...
 * Running prepare phase for all ...
 * Running source copy phase for ruby26 ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/portage/dev-ruby/bundler-2.1.4/work ...
>>> Source configured.
>>> Compiling source in /tmp/portage/portage/dev-ruby/bundler-2.1.4/work ...
 * Running compile phase for all ...
/tmp/portage/portage/dev-ruby/bundler-2.1.4/temp/environment: line 666: rdoc: command not found
 * ERROR: dev-ruby/bundler-2.1.4::gentoo failed (compile phase):
 *   failed to (re)build documentation
 * 
 * Call stack:
 *     ebuild.sh, line  125:  Called src_compile
 *   environment, line 2044:  Called ruby-ng_src_compile
 *   environment, line 1684:  Called _ruby_invoke_environment 'all' 'all_ruby_compile'
 *   environment, line  619:  Called all_ruby_compile
 *   environment, line  703:  Called all_fakegem_compile
 *   environment, line  666:  Called die
 * The specific snippet of code:
 *                   rdoc ${RUBY_FAKEGEM_DOC_SOURCES} || die "failed to (re)build documentation";
 * 
 * If you need support, post the output of `emerge --info '=dev-ruby/bundler-2.1.4::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-ruby/bundler-2.1.4::gentoo'`.
 * The complete build log is located at '/tmp/portage/portage/dev-ruby/bundler-2.1.4/temp/build.log'.
 * The ebuild environment file is located at '/tmp/portage/portage/dev-ruby/bundler-2.1.4/temp/environment'.
 * Working directory: '/tmp/portage/portage/dev-ruby/bundler-2.1.4/work/all/bundler-2.1.4'
 * S: '/tmp/portage/portage/dev-ruby/bundler-2.1.4/work/all/bundler-2.1.4'

>>> Failed to emerge dev-ruby/bundler-2.1.4, Log file:

>>>  '/tmp/portage/portage/dev-ruby/bundler-2.1.4/temp/build.log'

Reproducible: Always

Actual Results:  
Does not build


Portage 3.0.4 (python 3.6.11-final-0, default/linux/amd64/17.0, gcc-9.3.0, glibc-2.31-r6, 5.7.10 x86_64)
=================================================================
System uname: Linux-5.7.10-x86_64-Intel-R-_Xeon-R-_CPU_X5650_@_2.67GHz-with-gentoo-2.7
KiB Mem:    20436216 total,   4424740 free
KiB Swap:    6291452 total,   6290940 free
Timestamp of repository gentoo: Thu, 24 Sep 2020 00:15:01 +0000
Head commit of repository gentoo: 03a158222620330f430bcae444435350c9919f0e
sh bash 5.0_p18
ld GNU ld (Gentoo 2.32 p2) 2.32.0
ccache version 3.7.11 [disabled]
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r2::gentoo, 3.6.11-r2::gentoo, 3.7.8-r2::gentoo
dev-util/ccache:          3.7.11::gentoo
dev-util/cmake:           3.16.5::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.18::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.13.4-r2::gentoo, 1.14.1-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.32-r1::gentoo, 2.33.1-r1::gentoo, 2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.1::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.31-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.pl.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-max-age: 24
    sync-rsync-verify-jobs: 1
    sync-rsync-extra-opts: 

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/sbin/sendmail /usr/share/gnupg/qualified.txt /var/spool/munin-async/.ssh"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://gentoo.inode.at/source/ ftp://sunsite2.icm.edu.pl/pub/Linux/dist/gentoo/ http://distfiles.gentoo.org/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en pl es de"
MAKEOPTS="-j20"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/tmp/portage"
USE="aalib acct acl amavis amd64 apache2 bash-completion berkdb bzip2 caps cddb clamav cli clisp crypt cups dovecot-sasl exif expat flac fortran ftp gd gdbm gif gnutls gocr gpgme gs hash iconv idn imagemagick imap iproute2 ipv6 jabber jpeg kerberos latex ldap ldap-sasl libcaca libglvnd libssh2 libtirpc libwww logrotate lzo maildir mmx mmxext mp3 mplayer multilib mysql ncurses nethack nfs nfsv3 nfsv4 nls nntp nptl nscd objc objc++ objc-gc openmp pam pcntl pcre pdf pdo perl php png pnm posix postfix postgres python quota quotas readline rss sasl seccomp server sftp sieve skey slang smp smtp snmp socks5 sox spell split-usr sqlite sqlite3 sse sse2 ssl syslog tetex tiff tools unicode unzip userlocales vhosts vim vim-pager vim-syntax win32codecs wmf x264 xattr xfs xml xpm xvid zip zlib" ABI_X86="64" ADA_TARGET="gnat_2018" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="access_compat actions alias auth_basic authn_core authn_anon authn_dbm authn_default authn_file authz_core authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cache_disk dav dav_fs dav_lock deflate dir env expires ext_filter file_cache filter headers include info log_config logio mime mime_magic negotiation rewrite setenvif socache_shmcb speling status unique_id userdir usertrack vhost_alias asis auth_digest ident proxy cgi cgid unixd" APACHE2_MPMS="prefork" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en pl es de" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby26" USERLAND="GNU" VIDEO_CARDS="amdgpu fbdev intel nouveau radeon radeonsi vesa dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2020-09-24 12:11:54 UTC
I guess the ebuild should set the magic variable RUBY_FAKEGEM_RECIPE_DOC=rdoc.
Comment 2 r7l 2020-09-29 11:37:22 UTC
Was running into the same thing during ruby25 -> ruby26 update. What helped me was setting Ruby to ruby26 with eselect. Installs fine after that.
Comment 3 Jonathan Nicol 2020-09-30 06:32:38 UTC
same here; this broke a world update; fixed with eselect ruby set 2.5 -> 2.6 and resume
Comment 4 Michel Le Bihan 2020-09-30 11:11:34 UTC
`eselect ruby set ruby26` also resolved the issue for me.
Comment 5 Sam James archtester gentoo-dev Security 2020-10-28 20:38:09 UTC
(In reply to Michel Le Bihan from comment #4)
> `eselect ruby set ruby26` also resolved the issue for me.

This is a workaround but not a fix, we see this situation come up a lot in #gentoo so some way of avoiding it would be great.
Comment 6 1041559871 2021-01-15 13:33:53 UTC
I hope this may help.
When emerge failed, I went to /usr/bin, and found rdoc is linked to rdoc25, while the installed one is rdoc26. After I set the link manual, it works.
Comment 7 Martin Erdtmann 2021-01-16 07:28:22 UTC
Same issue here for upading ruby25 -> 26. Thank you for this workaround.
Comment 8 Julien Delquié 2021-01-16 09:10:09 UTC
(In reply to r7l from comment #2)
> Was running into the same thing during ruby25 -> ruby26 update. What helped
> me was setting Ruby to ruby26 with eselect. Installs fine after that.

Thanks for the workaround! World update performed with success after this.
Comment 9 Dennis Schridde 2021-01-16 09:51:24 UTC
Is this a duplicate of bug #704164?
Comment 10 Gordon Pritchard 2021-01-17 13:53:14 UTC
I experienced the same build-failure as the Original Poster.
And I can confirm that selecting 'ruby26' resolved the issue and allowed my dev-ruby/bundler to quickly build.


dragon ~ # eselect ruby list
Available Ruby profiles:
  [1]   ruby25 *
  [2]   ruby26 (with Rubygems)

dragon ~ # eselect ruby set ruby26
Successfully switched to profile:
  ruby26

dragon ~ # eselect ruby list
Available Ruby profiles:
  [1]   ruby25
  [2]   ruby26 (with Rubygems) *
Comment 11 Pietro Sale 2021-01-17 15:56:36 UTC
Same for me as well.

Setting ruby to ruby26 (with Rubygems) solved the problem

naramsin /home/pietro # eselect ruby list
Available Ruby profiles:
  [1]   ruby25 *
  [2]   ruby26 (with Rubygems)
naramsin /home/pietro # eselect ruby set 2
Successfully switched to profile:
  ruby26
naramsin /home/pietro # eselect ruby list
Available Ruby profiles:
  [1]   ruby25
  [2]   ruby26 (with Rubygems) *
Comment 12 onkobu 2021-01-19 08:23:27 UTC
Answering comment #9: yes, and how long this lurked around…there are similar issues with other packages and missing rdoc.
Comment 13 groepaz 2021-01-19 12:59:24 UTC
so i switched to ruby26 to work around this... now the question is, should i switch back? whats the catch? (i am not using ruby for anything, so only gentoo packages need it)
Comment 14 Toni Neubert 2021-01-27 08:15:20 UTC
In reply to groepaz from comment #13)

After updating current stable amd64 profile, ruby2.5 is probably not needed anymore and will be removed with the next depclean.

So no, you don't have to switch back.
Comment 15 Luca Chiampo 2021-02-15 08:14:11 UTC
Created attachment 686730 [details]
output of emerge --info
Comment 16 Luca Chiampo 2021-02-15 08:14:57 UTC
Created attachment 686733 [details]
output of emerge -pqv
Comment 17 Luca Chiampo 2021-02-15 08:16:04 UTC
Created attachment 686736 [details]
buuild.log
Comment 18 Luca Chiampo 2021-02-15 08:21:21 UTC
Created attachment 686739 [details]
Output of emerge --info for dev-ruby/rdoc-6.1.2 (installed)

I think that the problem arise from dev-ruby/rdoc-6.1.2::gentoo was built with the following:
USE="-doc -test" ABI_X86="(64)" RUBY_TARGETS="ruby26 -ruby25"

that are the standard ones....